(function() {
    'use strict';

    angular.module('weChatApp')
        .directive('dashboardTile', DashboardTile)
    ;

    function DashboardTile() {
        return {
            restrict: 'E',
            transclude: true,
            templateUrl: 'views/dashboard-tile.html',
            scope: {
                show: '<',
                mainTitle: '@',
                subTitle: '<',
                extraTitleInfoTile: '<',
                statusList: '<',
                actionLabel: '@',
                actionCallback: '&'
            }
        };
    }
}());